package com.prolog.cs.base.gsp.service;

import com.prolog.cs.base.gsp.model.GspUnqualifiedDestroy;
import com.prolog.cs.base.gsp.vo.GspUnqualifiedDestroyDVO;
import com.prolog.framework.core.pojo.Page;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * @Description  
 * @Date 2021-05-10 
 */

public interface GspUnqualifiedDestroyService {


	void add(GspUnqualifiedDestroy model);

	@Transactional
	void delIds(List<String> pkIdList);

	Page<GspUnqualifiedDestroyDVO> listPagePick(String warehouseId, String cargoOwnerId, String refBillId, String itemId, Integer pageSize, Integer pageNum);
	
	Page<GspUnqualifiedDestroy> listPage(String warehouseId, String cargoOwnerId, String status, Integer pageSize, Integer pageNum);

	List<GspUnqualifiedDestroyDVO> findDetailByMstId(String mstId);

	void batchUpdate(List<GspUnqualifiedDestroy> gspUnqualifiedDestroyDTOList, String status) throws Exception;

	@Transactional
	void oneAudit(GspUnqualifiedDestroy gspUnqualifiedDestroyDTO, String status, Date auditDate) throws Exception;

	GspUnqualifiedDestroy getById(String mstId);
}
